let
  nixpkgs-pin = builtins.fromJSON (builtins.readFile ./nixpkgs.json);
  nixpkgs-src = builtins.fetchTarball nixpkgs-pin;
  nixpkgs = import nixpkgs-src { };
in
{ pkgs ? nixpkgs }:
pkgs.mkShell {
  NIX_PATH = "nixpkgs=${nixpkgs.path}";
  buildInputs = [
    pkgs.morph
  ];
}
